﻿using Microsoft.EntityFrameworkCore;
using Packt.Shared;

Console.WriteLine($"Using {ProjectConstants.DatabaseProvider} database provider.");
QueryingCategories();

static void QueryingCategories()
{
    using (Northwind db = new())
    {
        Console.WriteLine("Categories and how many products they have:");
        // a query to get all categories and their related products
        IQueryable<Category>? categories = db.Categories?
            .Include(c => c.Products);
        if (categories is null)
        {
            Console.WriteLine("No categories found");
            return;
        }
        // execute query and enumerate results
        foreach (var c in categories)
        {
            Console.WriteLine($"{c.CategoryName} has {c.Products.Count} products");
        }
    }
}